Package org.apache.torque.templates.transformer.om

# Enum Class InheritanceAttributeName

java.lang.Object
java.lang.Enum<InheritanceAttributeName>
org.apache.torque.templates.transformer.om.InheritanceAttributeName

All Implemented Interfaces:
  `Serializable`, `Comparable<InheritanceAttributeName>`, `Constable`, `SourceAttributeName`

public enum InheritanceAttributeName extends Enum<InheritanceAttributeName> implements SourceAttributeName
Contains the attributes for a inheritance source element which are not defined in the Torque schema. Find them in `TorqueSchemaAttributeName`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BEAN_CLASS_NAME`
  The class name of the bean class created from this inheritance element.
  `BEAN_EXTENDS`
  The base class of the bean class created from this inheritance element.
  `BEAN_PACKAGE`
  The package of the bean class created from this inheritance element.
  `CLASS_NAME`
  The name of the class created from this inheritance element.
  `CLASSKEY_CONSTANT`
  The name of the constant in the peer which contains the key for the processed inheritance class.
  `PACKAGE`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of the referenced source element attribute.
  `String`
  `toString()`
  `static InheritanceAttributeName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static InheritanceAttributeName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLASSKEY_CONSTANT

    public static final InheritanceAttributeName CLASSKEY_CONSTANT
    The name of the constant in the peer which contains the key for the processed inheritance class.

  - ### CLASS_NAME

    public static final InheritanceAttributeName CLASS_NAME
    The name of the class created from this inheritance element.

  - ### PACKAGE

    @Deprecated public static final InheritanceAttributeName PACKAGE
    Deprecated.
    The package of the class created from this inheritance element. now in `TorqueSchemaAttributeName`.

  - ### BEAN_PACKAGE

    public static final InheritanceAttributeName BEAN_PACKAGE
    The package of the bean class created from this inheritance element.

  - ### BEAN_EXTENDS

    public static final InheritanceAttributeName BEAN_EXTENDS
    The base class of the bean class created from this inheritance element.

  - ### BEAN_CLASS_NAME

    public static final InheritanceAttributeName BEAN_CLASS_NAME
    The class name of the bean class created from this inheritance element.

- ## Method Details

  - ### values

    public static InheritanceAttributeName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static InheritanceAttributeName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Returns the name of the referenced source element attribute.
    Specified by:
      `getName` in interface `SourceAttributeName`
    Returns:
      the name of the referenced source element attribute.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<InheritanceAttributeName>`